/*
This is the LnkBox module for LiteStep.

Copyright (C) 2001 Mike Solomon

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#ifndef __LNKBOX_H
#define __LNKBOX_H

#define WIN32_LEAN_AND_MEAN

#include "..\lsapi\lsapi.h"

__declspec(dllexport) int initModule(HWND ParentWnd, HINSTANCE dllInst, wharfDataType* wd);
__declspec(dllexport) int initWharfModule(HWND ParentWnd, HINSTANCE dllInst, wharfDataType *wd);
__declspec(dllexport) int initModuleEx(HWND ParentWnd, HINSTANCE dllInst, LPCSTR szPath);
__declspec(dllexport) int quitWharfModule(HINSTANCE dllInst);
__declspec(dllexport) int quitModule(HINSTANCE dllInst);

#endif
